@echo off
:top
cls

echo           #        2001 - A Demo oddyssey - episode 1         #
echo           #        """"""""""""""""""""""""""""""""""         #
echo           #     Swedish fish, DiSTuRBeD, Ryback, The mole     #
echo           #           the DOOM Speedrunner's forum            #
echo           #        user.boardnation.com/ylmp/board.cgi        #
echo           =====================================================
echo                        Map    Time    Player
echo                        """""""""""""""""""""""""""
echo                     1) E1M1 -  1:20 - Mole
echo                     2) E1M2 -  2:59 - RyBack
echo                     3) E1M3 -  4:20 - Fish
echo                     4) E1M4 -  3:58 - DiSTuRBeD
echo                     5) E1M5 -  5:25 - RyBack
echo                     6) E1M6 -  5:40 - DiSTuRBeD
echo                     7) E1M7 -  5:43 - DiSTuRBeD 
echo                     8) E1M8 -  3:24 - Mole  
echo                     9) E1M9 -  5:19 - RyBack
echo                     0) E1MS -  4:39 - Fish
echo                        """""""""""""""""""""""""""
echo                        Total: 42:47
echo.          
echo                    (E1MS = E1M3 to secret exit)
echo              X to exit, C for comments, U to uninstall
choice /c:1234567890XUC/n
if errorlevel 13 goto comments
if errorlevel 12 goto uninstall
if errorlevel 11 goto exit
if errorlevel 10 goto e1mS
if errorlevel 9 goto e1m9
if errorlevel 8 goto e1m8
if errorlevel 7 goto e1m7
if errorlevel 6 goto e1m6
if errorlevel 5 goto e1m5
if errorlevel 4 goto e1m4
if errorlevel 3 goto e1m3
if errorlevel 2 goto e1m2
if errorlevel 1 goto e1m1



:e1m1
set DEMO="2k11-120"
cls
echo E1M1 - 1:20 - Mole
echo.
echo Fun and short level. Very easy wich makes it perfect for demo recording.
echo The secret hallway to the green armor can be a bitch though.
echo.
pause
goto play

:e1m2
set DEMO="2k12-259"
cls
echo E1M2 - 2:59 - Ryback
echo.
echo Small, fun level, not too difficult, all the monsters placed nicely 
echo (except for one imp in a tower). I originally had a 3:14 but Anthony 
echo made me improve it...
echo.
pause
goto play

:e1m3
set DEMO="2k13-420"
cls
echo E1M3 - 4:20 - Swedish Fish
echo.
echo This level caught my eye when I originally downloaded doom2001. 
echo It's a fun mid-sized level to play. The barrels really keep things fresh. I
echo really use them to my advantage in the level. My favorite area is right at 
echo the beginning when you take the lift down a level. That area opens up nicely.
echo.
echo The balance was good, except there is a secret near the end with extraneous 
echo amounts of rocket ammo (even for a DOOM level imo). There's no legible 
echo marker to the secret either. This run was pretty smooth for me. I had a few
echo minor problems, but nothing horrific.
echo.
pause
goto play

:e1m4
set DEMO="2k14-358"
cls
echo E1M4 - 4:17 - DiSTuRBeD
echo.
echo Very nice level indeed. The secrets does make it a bit easy, as with
echo most of the maps in this episode, but that only means you can go wild :)
echo The spectres in the slime pit was a bit annying to have to kill tho.
echo.
pause
goto play

:e1m5
set DEMO="2k15-525"
cls
echo E1M5 - 5:25 - RyBack
echo.
echo Some striking outdoor areas, and some plain indoor ones. Gameplay wise 
echo it's excellent, except for two monster teleporters near the end of the 
echo level that don't always work very quickly. Final bit looks messy but I 
echo didn't get that part done any faster.
echo.
pause
goto play

:e1m6
set DEMO="2k16-540"
cls
echo E1M6 - 5:40 - DiSTuRBeD
echo.
echo Again, nice map, but i don't like the specters in the slime pits too much.
echo It's fun to have to FIGHT for the ammo in the start :) But the imps in the
echo crate room got kinda annoying. Also, there's no time economic way to get
echo the RL early :(
echo.
pause
goto play

:e1m7
set DEMO="2k17-543"
cls
echo E1M7 - 5:43 - DiSTuRBeD
echo.
echo Guess what. This is a nice map too :D The good supply of health and armor
echo allowed for some fearless rocket shooting as well :) Lots of fun playing
echo this one!
echo.
pause
goto play

:e1m8
set DEMO="2k18-324"
cls
echo E1M8 - 3:24 - Mole
echo.
echo Again, fun and short. A little low on ammo (since you dont get the rocket
echo launcher), but still doable. I had a bit of luck ending with only 8 shells
echo left.
echo.
pause
goto play

:e1m9
set DEMO="2k19-519"
cls
echo E1M9 - 5:19 - RyBack
echo.
echo Exquisitely timed level, this. One secret is hidden behind a door that 
echo opens up after five minutes, so before that happens you've got the rest 
echo of the level to clear out (and *just* enough time to do it). Not 
echo possible to get 100%, the BFG secret has a teleport line in front of 
echo it. You can skip the invuln with strafe50 - the crusher won't get you - 
echo but that's the only improvement you could make...
echo.
pause
goto play

:e1ms
set DEMO="2k1s-439"
cls
echo E1M3 to secret exit - 4:39 - Swedish Fish
echo.
echo The run here is pretty much the same as the regular exit, with minor variation
echo at the end of the run. The demo is not as good as my regular exit recording. 
echo Combined with the fact that it takes a little longer to reach the secret
echo exit because of the back-tracking involved it took me an additional 19 
echo seconds to finish the level. 
echo echo.
pause
goto play


:comments
cls
echo Comments about this project:
echo.
echo - 1 - Swedish Fish
echo - 2 - DiSTuRBeD
echo - 3 - RyBack
echo - 4 - The Mole
echo.
echo - 0 - Main Menu
choice /c:12340/n
if errorlevel 5 goto top
if errorlevel 4 goto com4
if errorlevel 3 goto com3
if errorlevel 2 goto com2
if errorlevel 1 goto com1

:com1
cls
echo  Anthony Soto :: "Swedish Fish" :: neworderdatabase@hotmail.com
echo   - http://thefish.8m.com/
echo.
echo  E1M3 in  4:20
echo  E1MS in  4:39
echo.
echo Doom Oddyssey 2002 Episode 1 is a well designed episode. It's very true
echo to it's original inspiration. I think this is both a positive and a 
echo negative against the wad. Those looking for an updated outlook on an
echo old favorite were disappointed. The gameplay is relatively easy by
echo today's standards. While the architecture and layouts are solid, it
echo is not the least bit innovative. 
echo.
echo On the positive side, why fix something that isn't broken? I personally
echo enjoyed every minute of 2001-e1 wad. It captured the doom essence almost 
echo perfectly. That's an achievement in itself. The only problem I found 
echo was that, unlike DOOM,  some of the secrets were not marked in any fashion.
echo I felt 2001-e1 wad did not get the attention it deserved at release. 
echo Hopefully with the release of all 4 episodes (which I look forward to)
echo it will get more attention. 

echo.
pause
goto comments

:com2
cls
echo  Martin Schultz :: "DiSTuRBeD" :: high_god@hotmail.com
echo   - http://user.boardnation.com/ylmp/board.cgi
echo.
echo  E1M4 in  3:58
echo  E1M6 in  5:40
echo  E1M7 in  5:43
echo.
echo  I really enjoyed working on this episode! Every map had something 'special'
echo to offer, and gameplay never got repetetive. Sure, it's got it's flaw every 
echo now and then, but never anything even remotely big! Having our new boards to
echo use for organizing the project was of great help. I urge anyone to drop by
echo sometime :) It's really becoming a fun place to be.
echo.
echo  I'd recommend RyBack's demo of E1M2, wich got pretty nice after countless
echo improvements ;) Fish's E1M3 was also great work. I sorta regret pushing him
echo to do a seperate demo for the secret exit tho, it was kinda pointless in this
echo episode. Mole did some great work as well, spending only a few days recording
echo before going on vacation to france where he'll be wearing striped shirts, 
echo eat cheese and drink wine j\k :P
echo.
echo   Thanks to the guys for participating, it was fun!
echo.
pause
goto comments

:com3
cls
echo  Chris Ratcliff :: "RyBack" :: jaranbue@yahoo.com.au
echo.
echo  E1M2 in  2:59
echo  E1M5 in  5:25
echo  E1M9 in  5:19
echo.
echo Well, this is actually the first group demopack I've ever been on. Have 
echo to say I enjoyed the experience - it's nice not to have to do all the work 
echo for a change! :)  Credit for this demopack really belongs to two people: 
echo Martin Schultz, for putting up the Speedrunner's forum, and Opulent, who 
echo suggested we put together a demopack for this wad. Unfortunately there 
echo aren't any of Opulent's demos in the final pack... and that's kind of my 
echo fault :) This is shaping out to be a really cool megawad, easily up there 
echo with the other episode-1 maps. I just hope we've got some e2, e3 and e4 
echo styled maps to come...
echo.
pause
goto comments

:com4
cls
echo  Wim Vanrie :: "The Mole" :: themole@newdoom.com
echo   - http://www.newdoom.com/hosted/themole/
echo.
echo  E1M1 in  1:20
echo  E1M8 in  3:24
echo.
echo Not much to say really. I could only work on this a day or three 
echo because i had to leave to France for two weeks. I enjoyed playing 
echo these levels and enjoyed recording demos for this wad. I hope 
echo you'll like them. Since i could work on this only for a very 
echo short time, they're a little less quality than always, but i'm 
echo still very happy i participated. It was fun! 
echo.
echo.
pause
goto comments

:play
if exist prboom.exe goto chooseres
goto stand

:stand
doom -file 2001-e1.wad -playdemo %demo%
goto top

:320
prboom -file 2001-e1.wad -playdemo %demo% -width 320 -height 220
goto top

:640
prboom -file 2001-e1.wad -playdemo %demo% -width 640 -height 480
goto top

:800
prboom -file 2001-e1.wad -playdemo %demo% -width 800 -height 600
goto top

:1024
prboom -file 2001-e1.wad -playdemo %demo% -width 1024 -height 768
goto top


:chooseres
cls
echo prBoom Detected! Select your resolution!
echo.
echo 1) Standard doom.exe
echo 2) 320x240
echo 3) 640x480
echo 4) 800x600
echo 5) 1024x768
choice /c:12345/n

if errorlevel 5 goto 1024
if errorlevel 4 goto 800
if errorlevel 3 goto 640
if errorlevel 2 goto 320
if errorlevel 1 goto stand

:uninstall

echo Are you sure? (y\n)
choice /c:yn/n
if errorlevel 2 goto top
if errorlevel 1 goto delall

:delall

del 2k11-120.lmp
del 2k12-259.lmp
del 2k13-420.lmp
del 2k14-358.lmp
del 2k15-525.lmp
del 2k16-540.lmp
del 2k17-543.lmp
del 2k18-324.lmp
del 2k19-519.lmp
del 2k1S-439.lmp
del 2001lmp.bat
del 2001lmp.txt
echo ... all files and demos deleted (NOT as of right now)
pause
goto exit

:exit
cls
echo Come back now! ;)  (wink wing nudge nudge)
